#ifndef _pyInterface_h_
#define _pyInterface_h_

#include "ygString.h"
#include "ygMessage.h"


class pyInterface
	{
	public:
	 pyInterface(ygNode* node);
	 ~pyInterface(void);
	 	 bool message(const ygMessage&);
		 void loadScript(const ygString& file,const ygString& clName);
		 void reloadScript(void);
	 	 void callFunc(const ygMessage&);
		 void setAutoReset(bool);
		 void app(void);
	private:
		 void checkFile(void);
	 struct _pyInterfacePrivateData * p_;
	};


#endif
